import mongoose from 'mongoose';

let Schema = mongoose.Schema;


let SpiderCategorySchema = new Schema({
  data: {type: Schema.Types.Mixed},
  type: {type: String},
  status: {type: Number, default: 0}
}, {
  collection: 'spider_category',
  timestamps: true
});

class SpiderCategoryClass {
}

SpiderCategorySchema.loadClass(SpiderCategoryClass);


let SpiderCategoryModel = mongoose.model('SpiderCategory', SpiderCategorySchema);

export default SpiderCategoryModel;
