# 全民小说

## 分类列表

https://bc.dzjgmp.com/core/book/type.api?sex=1

|  字段  | 类型   | 说明    |
|----|----|----|
|sex| Number   |  性别 1：男， 2：女  |

Response:

```json
{ code: 1,
  data: 
   [ { ltype_id: 0,
       ltype_image: 'https://res.jnmzsd.com/create/15457022763611.png',
       ltype_name: '玄幻',
       ltype_list: [Array] },
   ]
}
```

## 列表查询接口

https://bc.dzjgmp.com/core/book/type_all.api?sex=1&ltype=0&stype=-1&status=-1&page=1&limit=20

|  字段  | 类型   | 说明    |
|----|----|----|
|sex| Number   |  性别 0:未指定，1：男， 2：女  |
|ltype|  Number  | 分类的id，从0开始，具体含义从分类列表获取    |
|stype|  Number  | 子分类的id，-1：所有，其他：从分类列表的ltype_list获取    |
|status| Number   |连载状态 -1：所有，1： 完结，2：连载    |
|page|  Number  |  分页页码，从1开始  |
|limit|  Number  |  每页数量  |

Response:

```json
{ code: 1,
  data: 
   { total: 34248,
     current_page: 1,
     limit: 20,
     from: 1,
     to: 20,
     last_page: 1713,
     list: []
   }
}
```

单本书的结构
```json
{ book_id: 668,
  name: '逆天邪神',
  author: '火星引力',
  image: 'https://res.jnmzsd.com/zssq/308/542a5838a5ae10f815039a7f.jpeg',
  sex: 1,
  ltype: '玄幻',
  stype: '东方玄幻',
  remark: '掌天毒之珠，承邪神之血，修逆天之力，一代邪神，君临天下！【添加微信公众号：火星引力】【我们的yy频道：49554】......各位书友要是觉得《逆天邪神》还不错的话请不要忘记向您QQ群和微博里的朋友推荐哦！',
  status: 2,
  last_chapter: '第1385章 极怒凤炎',
  updated_at: '2019-04-02 12:20:00' }
```

## 书籍详情

https://cache.dzjgmp.com/book.api?book_id=10887

## 数据章节列表

https://cache.dzjgmp.com/book_chapter.api?book_id=10887&site_id=wsg

Response: 

```json
{ code: 1,
  data: 
   [ { lists_id: 328,
       chapter_id: 9011,
       num: 0,
       name: '第一章 小镇少年',
       crawl_book_id: 739477,
       url: 'http://www.2kxs.com/xiaoshuo/22/22295/6632341.html' },
       ]
}
```

## 章节详情

https://cache.dzjgmp.com/chapter.api?chapter_id=19873&crawl_book_id=839413&id=418&site_id=wsg

Response:

```json
{ chapter_id: 9011,
  name: '第一章 小镇少年',
  crawl_book_id: 739477,
  content: ''
}
```
