import mongoose from 'mongoose';

let Schema = mongoose.Schema;


let BookChapterSchema = new Schema({
  data: {type: Schema.Types.Mixed},
  type: {type: String},
  status: {type: Number, default: 0}
}, {
  collection: 'book_chapter',
  timestamps: true
});


let BookChapterModel = mongoose.model('BookChapter', BookChapterSchema);

export default BookChapterModel;
