import async from 'async';

let finishCb;
/**
 * 操作队列
 * */
let q = async.queue( async (reqObj, cb) => {
  try {
    await reqObj.run();
    (cb) && (cb());
  } catch (err) {
    console.log('error parse queue:', reqObj.name, err);
    (cb) && (cb(err));
  }
}, 30);
q.drain = function(){
  console.info('all queue done');
  console.timeEnd('all');
  (finishCb) && (finishCb());
};
module.exports = {
  addQueue(obj) {
    q.push(obj, function(err){
      if (err) {
        console.log('error parse: ', obj, err);
      }
    });
  },
  setCb(cb) {
    finishCb = cb;
  }
}
